<?php 
require_once("../../includes/bootstrap.php");
$sesion=new sesion(); // inicio la sesion
if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$academia = bootstrap::initBd($sesion->getVar("anio"));

$grupo= filter_input(INPUT_GET, "grupo", FILTER_SANITIZE_NUMBER_INT);
$periodo= filter_input(INPUT_GET, "periodo", FILTER_SANITIZE_NUMBER_INT);
$nroEstu= filter_input(INPUT_GET, "nro", FILTER_SANITIZE_NUMBER_INT);

$sql = "SELECT
  view_pag_estudiantes_activos.estudiante   
   , FORMAT(AVG(aca_notasxdes.nota_definitiva_numeros),2) AS promedio
   
FROM
    aca_estxasigxgrupos 
    INNER JOIN view_pag_estudiantes_activos 
        ON (aca_estxasigxgrupos.cod_estudiante = view_pag_estudiantes_activos.cod_estudiante)
    INNER JOIN aca_notasxdes 
        ON (aca_notasxdes.cod_estxasigxgrupos = aca_estxasigxgrupos.cod_estxasigxgrupos)
WHERE (aca_notasxdes.periodo_calif ='$periodo'
    AND view_pag_estudiantes_activos.cod_grupo =$grupo)
GROUP BY view_pag_estudiantes_activos.cod_estudiante
ORDER BY promedio DESC LIMIT $nroEstu";
#echo $sql;
$academia->instruccion($sql);
$datas=array();
$per=0;
$i=0;
$mayus_nom = $sesion->getVar('configuracion.format_nom');
while($reg=$academia->extraer_registro()){
	$x[]=formatoPalabras($reg['estudiante'], $mayus_nom);
	$y[]=(double)$reg["promedio"];

	$i++;
}
$datas['series'][0]["name"]="sss";
$datas['series']=$y;
$datas['category']=$x;


echo json_encode($datas);


?>